Public Member Functions | Public Attributes | Friends | List of all members
WPSGraphicStyle::GradientStop Struct Reference

a structure used to define the gradient limit More...

`#include <WPSGraphicStyle.h>`

## Public Member Functions
| GradientStop (float offset=0.0, WPSColor const &col=WPSColor::black(), float opacity=1.0)
| constructor More...
int | cmp (GradientStop const &a) const
| compare two gradient More...

## Public Attributes
float | m_offset
| the offset More...
WPSColor | m_color
| the color More...
float | m_opacity
| the opacity More...

## Friends
std::ostream & | operator<< (std::ostream &o, GradientStop const &st)
| a print operator More...

## Detailed Description

a structure used to define the gradient limit

## Constructor & Destructor Documentation

## ◆ GradientStop()

WPSGraphicStyle::GradientStop::GradientStop | ( | float | offset = `0.0`,
|  | WPSColor const & | col = `WPSColor::black()`,
|  | float | opacity = `1.0`
| ) |  |
| inline

constructor

## Member Function Documentation

## ◆ cmp()

int WPSGraphicStyle::GradientStop::cmp | ( | GradientStop const & | a | ) | const
| inline

compare two gradient

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | GradientStop const & | st
| ) |  |
| friend

a print operator

## Member Data Documentation

## ◆ m_color

WPSColor WPSGraphicStyle::GradientStop::m_color

the color

Referenced by cmp().

## ◆ m_offset

float WPSGraphicStyle::GradientStop::m_offset

the offset

Referenced by cmp().

## ◆ m_opacity

float WPSGraphicStyle::GradientStop::m_opacity

the opacity

Referenced by cmp().

The documentation for this struct was generated from the following file:

- WPSGraphicStyle.h